Fetch files of an inspection report
curl --request GET \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
],
"secret": "<string>",
"itemId": "<unknown>"
}Inspection
Fetch files of an inspection report
Fetch the images of an inspection report
GET
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
blobs
/
inspection
/
{inspectionId}
Fetch files of an inspection report
curl --request GET \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
],
"secret": "<string>",
"itemId": "<unknown>"
}This endpoint returns the names and content types of the files. Use Get a file download link to download the actual contents of the files by providing the UUIDs and secret from the response.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the asset provider the vehicles belong to
Required string length:
2The three-character code of the asset provider the vehicles belong to
Required string length:
3The id of the vehicle
Vehicle inspection id

